#-*- coding: utf-8 -*-
# 1行目は日本語コードの指定
#
# sample1.py
# 数値演算のサンプル
# 2022.7.27
#
# # の後ろは注釈文で、
# 注釈文にはこのようにプログラム名や作成日時を書いたり、
# 下のようにプログラムの説明を書いたりする。

import random	  # 乱数を使うためのおまじない
import math	  # 数学関数を使うためのおまじない

print('数値演算の例') # 文字列の出力
print()               # 空行を出力

# = は「等式ではなくて」、右辺の値を左辺の辺数へ代入することを表す
a = random.randint(1, 10000)     # 1 以上 10000 以下の整数乱数を変数 a に代入
b = random.randint(1, 1000)      
c = random.randint(1, 10)        
x = random.uniform(0, 10)        # 0 以上 10 以下の乱数を変数 x に代入
print('a =', a) # a を出力
print('b =', b) # b を出力
print('c =', c) # c を出力
print('x =', x) # x を出力
print('のとき') 
print()

print('a + b =', (a + b))    # 和
print('a - b =', (a - b))    # 差
print('a * b =', (a * b))    # 積
print('a / b =', (a / b))    # 商
print('a % b =', (a % b))    # 剰余
print('a ^ c =', (a ** c))   # べき乗
print()

print('x ^ c =', (x ** c))     # べき乗
print('sin(x) =', math.sin(x)) # 正弦
print('cos(x) =', math.cos(x)) # 余弦
print('tan(x) =', math.tan(x)) # 正接
print('exp(x) =', math.exp(x)) # 指数関数
print('log(x) =', math.log(x)) # 自然対数
print('x の平方根 =', math.sqrt(x)) # 平方根
print('x の３乗根 =', math.exp(math.log(x) / 3.0)) # 3 乗根
print()

print('円周率 pi や自然対数の底 e は定数として math モジュールで定義済み:')
print('pi =', math.pi)
print(' e =', math.e)

