#-*- coding: utf-8 -*-
# 1行目は日本語コードの指定
#
# highprecision.py
# 高精度計算
# 2019.7

from decimal import *	# 高精度計算モジュールを使うためのまじない
from math import *	# 数学関数を使うためのまじない
from time import *      # 時間関数を使うためのまじない

print u"sqrt, log, exp の高精度計算をします。"
print

precision = input(u"精度 = ")
x = input("x = ")
print

getcontext().prec = precision

t0 = time()
a = Decimal(x).sqrt()
t1 = time()
print "sqrt(%lf) = " % x, a
print u"計算時間 =", t1 - t0, "sec."
print

t0 = time()
a = Decimal(x).ln()
t1 = time()
print " log(%lf) =" % x, a
print u"計算時間 =", t1 - t0, "sec."
print

t0 = time()
a = Decimal(x).exp()
t1 = time()
print " exp(%lf) =" % x, a
print u"計算時間 =", t1 - t0, "sec."
print

