#-*- coding: utf-8 -*-
# 1行目は日本語コードの指定
#
# primetable.py
# エラトステネスの篩による素数表作成プログラム
# 2007.4.24

import time    # 時間関数を使うためのまじない
import math    # 数学関数を使うためのまじない
print()
print('素数表を作ります。')
print('いくつまでの素数を調べますか。')
N = eval(input())

t0 = time.perf_counter()        # 開始時刻
sq = math.sqrt(N)
t = [i for i in range(N + 1)]
primes = []
t[0] = 0
t[1] = 0
p = 2
while p <= sq:
    if t[p] != 0:
        j = p + p
    while j <= N:
        t[j] = 0
        j += p
    p += 1
t1 =  time.perf_counter()        # 終了時刻
c = 0
  
for p in t:
    if p != 0:
        primes.append(p)
        c += 1
print()
print(primes)
print(N, 'までの素数の個数 = ',c)
print('計算時間 =', t1 - t0)
print()

